import request from '@/utils/request'

// 新增子账号
export function subAccountAdd(params: Record<string, any>) {
    return request.post({ url: '/user/sonAdd', params })
}
// 编辑子账号
export function subAccountEdit(params: Record<string, any>) {
    return request.post({ url: '/user/sonEdit', params })
}
// 子账号列表
export function subAccountList(params: Record<string, any>) {
    return request.get({ url: '/user/selectOrganizationAllUser', params })
}
// 账号名额
export function subAccountNumber() {
    return request.get({ url: '/user/validUserCount' })
}
// 子账号详情
export function subAccountDetail(params: Record<string, any>) {
    return request.get({ url: '/user/detail', params })
}
// 删除子账号
export function subAccountDelete(params: Record<string, any>) {
    return request.post({ url: '/user/sonDel', params })
}
// 修改账号状态
export function subAccountUpdateStatus(params: Record<string, any>) {
    return request.post({ url: '/user/changingAccountStatus', params })
}
